Update a deal
Early access: request API access for your workspace at https://bauhow.com/support before using this endpoint.
Moves stages, sets the status (won/lost), archives and links a project.
PATCH
/v1/deals/{id}Authorization
AuthorizationBearer token · headerrequiredWorkspace API key (`bh_…`).
Path parameters
idstringrequiredmin length 1
Request body
application/jsoncontactIdstringmin length 1
titlestringmin length 1 · max length 200
valuenumber | anyShow propertiesHide properties
Any of:
number
numberany
anystageIdstringmin length 1
statusstringAllowed:
openwonlostownerIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyprojectTypeIdsstring[]max items 50
streetstring | anyShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyShow propertiesHide properties
Any of:
string
stringany
anynotesstring | anyShow propertiesHide properties
Any of:
string
stringany
anyprojectIdstring | anyShow propertiesHide properties
Any of:
string
stringany
anyarchivedbooleanResponses
200OK
idstringrequiredcontactIdstringrequiredtitlestringrequiredvaluenumber | anyrequiredShow propertiesHide properties
Any of:
number
numberany
anystageIdstringrequiredstageEnteredAtstring<date-time>requiredstatusstringrequiredAllowed:
openwonlostownerIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyprojectTypeIdsstring[]requiredstreetstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anypostalCodestring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anycitystring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anynotesstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyprojectIdstring | anyrequiredShow propertiesHide properties
Any of:
string
stringany
anyclosedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyarchivedAtstring<date-time> | anyrequiredShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anycreatedAtstring<date-time>requiredupdatedAtstring<date-time>requiredRequest
curl -X PATCH "https://app.bauhow.com/api/v1/deals/string" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"contactId": "string",
"title": "string",
"value": 0,
"stageId": "string",
"status": "open",
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string",
"projectId": "string",
"archived": true
}'const response = await fetch("https://app.bauhow.com/api/v1/deals/string", {
method: "PATCH",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"contactId": "string",
"title": "string",
"value": 0,
"stageId": "string",
"status": "open",
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string",
"projectId": "string",
"archived": true
})
});import requests
response = requests.patch(
"https://app.bauhow.com/api/v1/deals/string",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"contactId": "string",
"title": "string",
"value": 0,
"stageId": "string",
"status": "open",
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string",
"projectId": "string",
"archived": True
},
)Response
{
"id": "string",
"contactId": "string",
"title": "string",
"value": 0,
"stageId": "string",
"stageEnteredAt": "2024-01-01T00:00:00Z",
"status": "open",
"ownerId": "string",
"projectTypeIds": [
"string"
],
"street": "string",
"postalCode": "string",
"city": "string",
"notes": "string",
"projectId": "string",
"closedAt": "2024-01-01T00:00:00Z",
"archivedAt": "2024-01-01T00:00:00Z",
"createdAt": "2024-01-01T00:00:00Z",
"updatedAt": "2024-01-01T00:00:00Z"
}